define (require)->
  $ = require('jquery')
  _ = require('underscore')
  Backbone = require('b')
  router = require('router')

  class TrackingHelper
    constructor: (@options={}) ->
      @gaConfig = require("config").ga

      # Router callbacks
      if @gaConfig?.account
        @ga('_setAccount', @gaConfig.account)
        @ga('_setDomainName', @gaConfig.domain)
        router.on('navigate', @onNavigate, @)
        router.on('route', @onRoute, @)

    render: ->
      if @gaConfig?.account
        $.ajax
          url: 'https://ssl.google-analytics.com/ga.js'
          dataType: 'script'
          cache: true

    onNavigate: (url, options) ->
      unless options == true or options?.trigger or url == document.location.pathname
        url = url.substr(1) if url[0] == '/'
        for handler in router.handlers
          if handler.raw and handler.route.test(url)
            url = handler.raw
            break
        @trackUrl(url)

    onRoute: (name) ->
      return if name == 'trailFix' # Not actually a thing to track
      route = router.handlersByName[name] or document.location.pathname
      @trackUrl(route)

    trackUrl: (url) ->
      url = '/' + url unless url[0] == '/'
      @ga('_trackPageview', url)

    trackEvent: (category, action) ->
      @ga('_trackEvent', category, action)

    ga: (command...) ->
      if @gaConfig?.account
        window._gaq ||= []
        window._gaq.push(command)
